Tenant users
The tenant users resource represents a relationship between a single user within a tenant. Users are added to a tenant after accepting an invitation.
Tenant user object
{
"id": "01988bb8-1d00-7824-8a99-8e65d1eac266",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"user": "0198080b-cb61-7e1d-98c3-83f2u44894f2",
"created_at": "2025-08-08 22:05:55",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- userrequired stringUnique ID of the user.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
List tenant users
GET /tenants/{tenantId}/users
Required permissions
Users can read all other users who belong to the same tenant.
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant user objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a tenant user
GET /tenants/{tenantId}/users/{id}
Required permissions
Users can read all other users who belong to the same tenant.
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant user object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or tenant user ID not found | Error object |
List a tenant user's permissions
GET /tenants/{tenantId}/users/{id}/permissions
Required permissions
tenant_permissions:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant permission objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or tenant user ID not found | Error object |
Delete a tenant user
DELETE /tenants/{tenantId}/users/{id}
Required permissions
tenant_users:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?